// D70D80GPIBControlDlg.h
//

#if !defined(AFX_D70D80GPIBCONTROLDLG_H__24F9E37E_865B_11D5_994D_00010304D2D0__INCLUDED_)
#define AFX_D70D80GPIBCONTROLDLG_H__24F9E37E_865B_11D5_994D_00010304D2D0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

// SURUGA >>
#include "MyButton.h"
#include "Decl-32.h"
#include "SetPositionDlg.h"
// << SURUGA

/////////////////////////////////////////////////////////////////////////////
// CD70D80GPIBControlDlg

class CD70D80GPIBControlDlg : public CDialog
{

public:
	CD70D80GPIBControlDlg(CWnd* pParent = NULL);

	//{{AFX_DATA(CD70D80GPIBControlDlg)
	enum { IDD = IDD_D70D80GPIBCONTROL_DIALOG };
	CMyButton	m_pCCWButton;
	CMyButton	m_pCWButton;
	int		m_iLSpeed;
	int		m_iPosition;
	int		m_iRate;
	int		m_iSpeed;
	CString	m_strStatus;
	int		m_iStep;
	//}}AFX_DATA

	//{{AFX_VIRTUAL(CD70D80GPIBControlDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);
	//}}AFX_VIRTUAL

protected:
	HICON m_hIcon;

	//{{AFX_MSG(CD70D80GPIBControlDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnModeCont();
	afx_msg void OnModeOrg();
	afx_msg void OnModeStep();
	afx_msg void OnSetPosition();
	afx_msg void OnStop();
	virtual void OnOK();
	afx_msg void OnSelchangeBoardNumber();
	afx_msg void OnSelchangeGpibAddress();
	afx_msg void OnSelchangeAxis();
	afx_msg void OnTimer(UINT nIDEvent);
	virtual void OnCancel();
	//}}AFX_MSG
	// SURUGA >>
	void OnDown(WPARAM wParam,LPARAM lParam =0);	
	void OnUp(WPARAM wParam ,LPARAM lParam =0);
	// << SURUGA
	DECLARE_MESSAGE_MAP()

	// SURUGA >>
private:
	void SetEnableControl(BOOL bFlag);
	void SetButtonCaption(BOOL bOrgFlag);
	int ConnectGPIB(int iBoardNumber,int iAddress);
	BOOL SendGpibString(CString strMessage);
	BOOL ReceiveGpibString(CString& strMessage);
	CString GetAxisString();
	int GetAxisStatus();
	int GetPositionData();
	void CheckStop();
	void ClearSPByteBuffer();
	void SetPositionData(int iPositionData);

	int iUD;
	UINT nTimerID;
	BOOL bStopFlag;
};

//{{AFX_INSERT_LOCATION}}

#endif // !defined(AFX_D70D80GPIBCONTROLDLG_H__24F9E37E_865B_11D5_994D_00010304D2D0__INCLUDED_)
